#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int p,q,r,L,R,i=0;
    cin>>p>>q>>r>>L>>R;
    int n=L;
    while(n<=R)
      {
       int a=(n%p)!=0;
       int b=(n%q)!=0;
       int c=(n%r)!=0;
       if(n/p+n/q+n/r<=n-(a+b+c))
            i++;
       n++;
      }
      cout<<i<<endl;
    return 0;
}